# Class GlobalData

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Provides static access to global application data and configuration values.

    public static class GlobalData

Inheritance
  object
  GlobalData

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Data

    public static Dictionary<string, object> Data

#### Field Value

Dictionary<string, object>

## Methods

### AddData(string, object)

Adds or updates a key-value pair in the data store. If the key already exists, its value is replaced; otherwise, a new entry is created.

    public static void AddData(string key, object value)

#### Parameters

`key` string

  The key used to identify the data entry in the store.

`value` object

  The value to associate with the specified key.